netselect (0.3.ds1-30.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007410, #993416)
  * Drop README.source, which is obvious with the 3.0 quilt series
  * Drop unused csum.c from Debian additions
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Sun, 17 Mar 2024 17:12:45 +0000

netselect (0.3.ds1-30.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop Vcs-* fields (Closes: #809034)
  * Move upstream repo info from d/README.source to d/copyright

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 21:10:32 +0100

netselect (0.3.ds1-30) unstable; urgency=high

  * netselect-apt: 
     - debian/control: Add ca-certificates as a dependency as it is required
       to validate Debian's certificates. Otherwise the wget call will fail
       when accessing www.debian.org as it now redirects from http to https
       (Closes: #999711)
     - Add the Debian releases which were missing: buster, bullseye, bookworm
       and trixie
     - Move the code of checking root permissions after the parsing of options
       to allow the --help option to be run without being root 
       (Closes: #768568)
  * Move to debhelper compatibility version 13
  * debian/control: Move to Standards Version 4.5.1
  * debian/po/{fr,de}.po: Convert to UTF-8 (lintian fix)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Dec 2021 19:36:30 +0100

netselect (0.3.ds1-29) unstable; urgency=high

  * netselect-apt:
    - Fix bug that makes it output some hosts with negative value (Closes: 920907)
    - Fix bug in the Pelr parsing which prevented it from processing properly
      the mirrors listed in the Debian website (Closes: 989674)
  * debian/control: Move curl to depends as it is required by netselect-apt
   (Closes: 788793)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 04 Jul 2021 23:04:35 +0200

netselect (0.3.ds1-28) unstable; urgency=medium

  * Use debhelper files properly to relocation binaries and
    manpages (Closes: #827318)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 15 Jun 2016 02:13:10 +0200

netselect (0.3.ds1-27) unstable; urgency=medium

  * debian/{rules,control,compat}: Upgrade to debhelper compatibility version
      9, use the debhelper tools to build the packages (which should get
      rid of many lintian errors) (Closes: 822009)
  * debian/netselect.postinst: Remove check of absolute path of
    dpkg-statoverride (Closes: 770045)
  * netselect-apt: Add 'stretch' (current testing) as a valid codename for a
    release

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 23 Apr 2016 23:09:56 +0200

netselect (0.3.ds1-26) unstable; urgency=medium

  * netselect-apt: Apply patch provided by Ben Wong in order to 
    fix some bugs
     - Add 'jessie' to netselect to make it possible to search mirrors
       of that codename (Closes: #713838)
     - Ignore corrupted results (negative score) and throw them out. 
       Netselect does not handle gracefully mirrors which use 
       a Round Robin DNS (see bug #755238).
       The fix prevents netselect-apt from selecting mirrors with a '-'
       in some cases (Closes: #750952)
     - Return with an error in test_host if curl is not available or
       if an empty host is provided (as suggested by doekia in #750952)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 23 Sep 2014 20:30:12 +0200

netselect (0.3.ds1-25) unstable; urgency=low

  * netselect-apt: Fix minor typos spotted by Cyril Brulebois
  * debian/control: Add dependency on netselect version 0.3.ds1-17 in
    netselect-apt since this version depends on the options introduced
    in that release. (Closes: #671761)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 May 2012 23:14:38 +0200

netselect (0.3.ds1-24) unstable; urgency=low

  * netselect-apt: 
     - modify regular expression to parse newest mirrors list with
       rel="nofollow" in href links. Thanks to "Nameless" for the patch
       (Closes: #667985, #665876)
     - more verbose output when netselect-apt fails indicating possible causes
       of errors
  * debian/control: Adjust maintainer's name

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 09 Apr 2012 18:13:47 +0200

netselect (0.3.ds1-23) unstable; urgency=low

  * Translations:
    - Updated Dutch translation provided by Jeroen Schot (Closes: #650646)
    - Added Polish translation provided by Michał Kułach (Closes: #660808)
    - Updated Turkish translation provided by Mert Dirik (Closes:#661704)
    - Add language in PO format with patch provided by Christian Perrier

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 20 Feb 2012 23:02:21 +0100

netselect (0.3.ds1-22) unstable; urgency=low

  * netselect:
     - Fix an alignment bug in netselect.c, the struct icmp might be 
     padded to a 64 byte boundary leaving the ICMP_TYPE filled in by 0s
     (ICMP_REPLY). Thanks for Dan Merillat for the patch (Closes: 645703)
  * netselect.1:
     - Minor fix to troff macros used
  * Update upstream author's email address
  * Document source format in debian/source/format
  * Minor adjustments to debian/rules

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 23 Oct 2011 13:56:43 +0200

netselect (0.3.ds1-21) unstable; urgency=low

  * netselect-apt:
     - Add a -d (debug) option as well as logging if debug is enabled
     - Extend the host validation routine by making netselect-apt download
       the 'README' file in the remote server and have it check if the
       contents there are what one would expect of a Debian mirror.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 01 Oct 2011 10:31:48 +0200

netselect (0.3.ds1-20) unstable; urgency=low

  * netselect-apt:
    - Fix the parsing of the -t option
    - Ensure that the netselect options are defined *after* the command line
      parsing to make it possible to modify them through the command line.
    - Add a -c option to make it possible to filter by country (Closes: #273688)
  * netselect-apt.1:
    - Document the new '-c' option
    - List known limitations of the program
    - Reference the mirror pages for Debian for more information
    - Add the Debian maintainers to the author's list

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 25 Sep 2011 20:50:02 +0200

netselect (0.3.ds1-19) unstable; urgency=low

  * netselect-apt:
    - Do not settle for only one server as indicated by netselect but, instead,
      retrieve the top-10 hosts (configurable through a '-t' option) and select
      the fastest hosts which can be accessed through the defined protocol.
      Tests are done using curl, and ensure that the hosts HTTP or FTP requests.
      This makes use of the '-s' option in netselect in a way similar to
      what was requested in #117265. The fastests servers are listed 
      in addition to the server chosen after verifying they are reachable
      (Closes: #117265)
  * netselect-apt.1: 
    - Document behaviour and the new option (-t) in the manpage.
  * debian/control:
    - Add 'curl' as Recommended for netselect-apt

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 25 Sep 2011 19:04:32 +0200

netselect (0.3.ds1-18) unstable; urgency=low

  * debian/control: Downgrade dpkg-dev from Recommends to Suggests since
    it (and its related dependencies) will pull in way too many
    packages (over 20MB worth) (Closes: 629833)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 09 Jun 2011 01:07:21 +0200

netselect (0.3.ds1-17) unstable; urgency=low

  * netselect.c: 
      - Add a new -D option to force netselect to provide, if required,
        the DNS names for hosts that resolve to multiple IP addresses.
        Modify the code so that the dnsname is kept on the host struct
        and printed, if this option is used, when netselect finishes.
        (Closes: #136849)
      - Notify through stderr if the number of hosts found are (at least)
        the number of hosts and also return with error 1 if no hosts
        are found. This helps clarify the situation when all the probed
        hosts are considered invalid and no one is returned (Closes: 467303)
  * netselect-apt: 
      - Make the script more robust by having it check and detect some common
        issues when running netselect:
        *  No hosts are found to use with netselect, due to an incorrect file
        being provided or an error when downloading the mirror list, or,
        *  Netselect does not return any host to netselect-apt
        Now the script will at least abort with a (hopefully useful)
        error message instead of writing a useless sources.list
        (Closes: 238888)
      - Use the -D option (see above) by default so that the information
        introduced is always a name and not an IP address as many Debian
        servers use DNS round robin and the servers cannot be accessed
        using an IP address (Closes: 420252)
      - Use dpkg-architecture if available, otherwise fall back to 
        "dpkg --print-architecture" instead (Closes: 609342)
      - Add 'wheezy' as a valid distribution (Closes: 623180)
   * netselect.1:
      - Fix typos in manpage (Closes: #605654)
      - Document the new '-D' option and also add new examples how both
        the tag feature and the -D option can be used, trying to reflect
        the disadvantages of it  (using as a reference the discussion
        in bug log #136849)
      - Remove whitespace from output in examples to help readability.
    * debian/control:
      - netselect-apt: Add a Recommends on dpkg-dev since we use
        dpkg-architecture
    * Translations:
      - Added Danish translation provided by Joe Hansen (Closes: #623101)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 08 Jun 2011 00:38:50 +0200

netselect (0.3.ds1-16) unstable; urgency=low

  * Finalise takeover: really change the maintainer's address (see #601227).

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 31 Mar 2011 01:24:54 +0200

netselect (0.3.ds1-15) unstable; urgency=low

  * Take over this package's maintenance, with maintainer's approval.
  * netselect:
      - Implement a -I option to make netselect use ICMP probes instead of UDP.
        This option is useful to test servers when there is some element
        that does not allow traceroute tests in the intermediate path 
        (including the local computer, through it's firewall).  
        (Closes: 601227, 217256, 384218)
      - Do not printout verbose messages detailing hosts to stdout but
        to stderr
  * netselect.1:
     - Document the new -I option
     - Add more examples, specifically describing the issues with multiple
       DNS names in hosts.
  * netselect-apt:
     - Introduce a way to provide options to netselect through -O
     - Check if netselect exists 
     - Abort if not being run as root and netselect is not setuid
     - Use -I per default as many debian mirrors do not actually allow
       traceroute tests
     - Only use standard output when parsing netselect's output, stderr
       gets thrown out as we do not need it (but the user might have
       set it with -v calls in -O)
     - Stricter filtering of netselect output to prevent picking up
       wrong data by mistake 
  * debian/netselect.README.Debian: More information on why netselect
    needs to be run as ROOT.
  * debian/control: 
      - Update Homepage to github
      - Update SVN-Browse to github, keep the URL of collab-main
        in debian/README.source
  * debian/EXTRA: include modified version of netselect-apt by
    Manuel Estrada Sainz a long time ago (2002) which provides additional
    features such as testing for other protocols (rsync, ftp, http)
    and checking that the mirrors actually work. This code needs to
    be forward ported to netselect-apt in order to close 135558. But having
    it in the package at least ensures it is not forgotten.
  * debian/TODO: review all pending work to be done and include it in the
    file, reference bug reports when appropriate.
  * debian/netselect-apt.NEWS and debian/netselect.NEWS: Fix version
    numbers as they pointed to inexistent versions

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 01 Dec 2010 01:43:12 +0100


netselect (0.3.ds1-14) unstable; urgency=low

  * Fix spelling mistake in netselect-apt.1
  * Upgrade to SV 3.8.3, no changes needed
  * Make netselect bail on socket() EPERM with a message instead of doing that
    at the start, also put a note on how to setup file capabilities and
    improve netselect-apt message reporting as well (Closes: #560121)

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 03 Jan 2010 23:58:13 +0100

netselect (0.3.ds1-13.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #516073
  * (lintian) Drop asterisks in netselect.NEWS
  * [Debconf translation updates]
    - Swedish. Closes: #517199
    - Bokmål, Norwegian. Closes: #517263
    - German. Closes: #517289
    - Bulgarian. Closes: #517487
    - Galician. Closes: #517518
    - Vietnamese. Closes: #517646
    - Japanese. Closes: #517647
    - Romanian. Closes: #518072
    - Finnish. Closes: #518192
    - Basque. Closes: #518291
    - French. Closes: #518376
    - Russian. Closes: #519301
    - Portuguese. Closes: #519459
    - Brazilian Portuguese. Closes: #519504
    - Czech (Jan Outrata).  Closes: #544213

  [ Filippo Giunchedi ]
  * [netselect-apt] Anchor regexp to exclude non-us/debian-volatile mirrors
    (Closes: #518334)
  * [netselect-apt] Remove non-us generation
  * [netselect-apt] Use a temporary file instead of mirrors_full by default
    and put a note in NEWS (Closes: #466721)
  * [Debconf translation updates]
    - Italian. Closes: #521112
    - Spanish. Closes: #525527
  * Update to S-V 3.8.1, no changes needed

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Aug 2009 08:31:28 +0200

netselect (0.3.ds1-12.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Basque. Closes: #476710
    - Swedish. Closes: #490188
    - Turkish. Closes: #490878
    - Romanian. Closes: #491277

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 Jul 2008 19:47:21 +0200

netselect (0.3.ds1-12) unstable; urgency=low

  * Use security repositories if no distro is found or distro is stable
    (Closes: #466715)
  * Change debian/copyright formulation for "homepage" into "it was downloaded
    from" and use and updated debian/control Homepage field (Closes: #467278)
  * Update po-debconf template translation (ja.po) (Closes: #463242)
  * [INTL:fi] Finnish translation of the debconf templates (Closes:
    #469536)
  * Patch from Lionel Elie Mamane to not limit hosts to 256 (Closes: #431928) 
  * Patch from Lionel Elie Mamane to detect duplicate hosts 
  * Better document INFILE usage in netselect-apt.1 
  * Import into collab-qa svn repo, vcs-* fields added accordingly 
  * Remove woody from netselect-apt{,1} and add lenny to manpage
  * Fix lintian complaints (update s-v, do not ignore make errors) 

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 08 Mar 2008 10:31:47 +0100

netselect (0.3.ds1-11) unstable; urgency=low

  * updated portuguese translation (Closes: #420362, #439695)
  * fix the new mirrors_full format (Closes: #451889)
  * added galician translation (Closes: #412491)
  * remove stripping option from Makefile (Closes: #437623)

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 26 Nov 2007 19:15:42 +0000

netselect (0.3.ds1-10) unstable; urgency=low

  * update/add debconf templates translations
    (Closes: #402197, #402960, #404410, #405848, #406245, #406294)
  * add lenny as a valid distribution in netselect-apt (forward-planning, that
    is)

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 18 Jan 2007 18:57:57 +0100

netselect (0.3.ds1-9) unstable; urgency=low

  * actually use infile instead of mirrors_full, spotted by Jeff Peters
    Closes: #400422
  * added debconf template pt.po by Rui Branco Closes: #374360
  * added debconf template ru.po by Yuri Kozlov Closes: #398955
  * update standards-version and don't use first person in debconf template,
    as reported by lintian

 -- Filippo Giunchedi <filippo@debian.org>  Wed,  6 Dec 2006 16:29:09 +0100

netselect (0.3.ds1-8) unstable; urgency=medium

  * fix postinst to get suid done right, chown goes first (Closes: #370045)

 -- Filippo Giunchedi <filippo@debian.org>  Sat,  3 Jun 2006 14:35:01 +0200

netselect (0.3.ds1-7) unstable; urgency=low

  * added it.po, patch by Andrea Bolognani (Closes: #358158)
  * added sv.po, patch by Daniel Nylander (Closes: #331563)
  * added nl.po, patch by Kurt De Bree (Closes: #364427)
  * add also a line for security updates (Closes: #362007)

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 12 May 2006 17:40:52 -0500

netselect (0.3.ds1-6) unstable; urgency=low

  * added vi.po, patch by  Clytie Siddall (Closes: #315916)
  * non-us is no longer default, patch by Jean Revertera (Closes: #321086)
  * handle archive mirror split, add -a/--arch option
  * bump standards to 3.6.2 no changes necessary

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 16 Mar 2006 13:02:46 +0100

netselect (0.3.ds1-5) unstable; urgency=low

  * now netselect-apt -f should work as expected (patch by Peter Walser)
    Closes: #312082

 -- Filippo Giunchedi <filippo@debian.org>  Sun,  5 Jun 2005 16:24:51 +0200

netselect (0.3.ds1-4) unstable; urgency=low

  * minor update to de.po by Jens Nachtigall (Closes: #278266)
  * updated maintainer field to new d.org address
  * added pt_BR debconf translation by Tiago Bortoletto Vaz (Closes: #283838)

 -- Filippo Giunchedi <filippo@debian.org>  Fri,  1 Apr 2005 11:11:13 +0200

netselect (0.3.ds1-3) unstable; urgency=low

  * do not guess the distribution in netselect-apt, default to stable and
    manpage update
    (Closes: #275223)
  * accept also >= woody as distribution name (Closes: #275694)
  * Added debconf czech translation thanks to Jan Outrata (Closes: #276665)

 -- Filippo Giunchedi <filippo@esaurito.net>  Wed, 13 Oct 2004 13:34:32 +0200

netselect (0.3.ds1-2) unstable; urgency=low

  * Added check for empty netselect result to netselect-apt
    (Closes: #133452, #237163)
  * Improved netselect-apt with also options for having deb-src included
    (Closes: #237725)
  * Added versioned Depends: netselect to netselect-apt to avoid installing
    netselect-apt with an older version of netselect (Closes: #238230)
  * Added debconf french translation thanks to Clement Stenac (Closes: #238773)
  * Added a check to netselect-apt to know if we can run netselect
    (Closes: #239504)
  * More informative error message when not root (Closes: #240893)
  * Added Japanese debconf template thanks to Hideky Yamane (Closes: #270760)
  * Added German debconf template thanks to Jens Nachtigall (Closes: #273987)

 -- Filippo Giunchedi <filippo@esaurito.net>  Thu, 30 Sep 2004 23:12:13 +0200

netselect (0.3.ds1-1) unstable; urgency=low

  * New maintainer (Closes: #210394)
  * Split off an upstream tarball for netselect.  Suffixed version with .ds1
  * netselect-apt.1 and netselect.1 manpages added thanks to Jim Van Zandt and
    Simon Law (Closes: #147928, #121882, #144973)
  * documented -vvv and -vvvv in netselect.c, README and manpage updated
    (Closes: #212044)
  * Removed debian-ftp-mirrors from README (Closes: #156799)
  * Documented '-s' in usage()
  * netselect-apt has been split from netselect and is now a separate package
    named "netselect-apt".
  * (po-)Debconfiscated the package
  * Changed setuid handling to ask a Debconf question
  * Updated to comply with Policy 3.6.1
  * Built using debhelper 4

 -- Filippo Giunchedi <filippo@esaurito.net>  Sat, 21 Feb 2004 11:52:26 +0100

netselect (0.3-4) unstable; urgency=low

  * Oops, I wasn't paying attention to the BTS again.  Changed the setuid
    stuff one more time.  Closes: #111338 (again)

 -- Avery Pennarun <apenwarr@debian.org>  Tue,  6 Nov 2001 21:02:36 -0500

  
netselect (0.3-3) unstable; urgency=low

  * Don't sudo if we think we're root so we can build with fakeroot;
    closes: #111338.

 -- Avery Pennarun <apenwarr@debian.org>  Wed,  5 Sep 2001 13:49:45 -0400

  
netselect (0.3-2) unstable; urgency=low

  * Add a build-depends for debhelper; closes: #110972.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  3 Sep 2001 15:46:44 -0400
  

netselect (0.3-1) unstable; urgency=low
  
  * New upstream version with many bug fixes.  closes: #56432, #71836.
  
  * Added a new netselect-apt script, which downloads the list of mirrors
     automatically.  Thus we don't need the long-outdated debian-ftp-mirrors
     example file.  closes: #61747, #66827, #67200, #71836.
    
  * Removed blank line from package description.  closes: #109451.
  
  * Removed dh_suidregister and added a Conflicts: with the old suidregister
     package.

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 29 Aug 2001 05:27:08 -0400


netselect (0.2-5) frozen unstable; urgency=low

  * Rebuilt for with another new debhelper and proper packaging for a setuid
     program (not a security hole); fixes bug#54760.

  * Updated to "new BSD" license without the advertising clause.

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 17 May 2000 23:40:43 -0400


netselect (0.2-4) unstable; urgency=low

  * Rebuilt for potato with new debhelper.

 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:18:32 -0500


netselect (0.2-3) unstable; urgency=low

  * set architecture to 'any' instead of 'i386' in the control file.
     (thanks to Chris Chemelis <chris@beezer.med.miami.edu> for this one)

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 14:43:40 -0400


netselect (0.2-2) unstable; urgency=low

  * files were installing into /usr/local -- oops.

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 13:30:06 -0400


netselect (0.2-1) unstable; urgency=low

  * Packaging my new program, "netselect," which chooses the fastest of
    a set of servers automatically.

 -- Avery Pennarun <apenwarr@debian.org>  Tue,  8 Sep 1998 02:49:57 -0400

